# MD for: https://www.mercadopago.com.pe/developers/es/docs/wallet-connect/payment-flow/refund-payment/refund-full-amount.md \# Refund full amount To refund the full amount of a payment it is necessary to send an empty \`body\` in the request. To do so, send a \*\*POST\*\* to the endpoint \[/v1/advanced\_payments/{advanced\_payment\_id}/refunds\](https://www.mercadopago.com.pe/developers/en/reference/wallet\_connect/\_advanced\_payments\_advanced\_payment\_id\_refunds/post) and execute the request or, if you prefer, use \` curl\` below. * [curl ](#editor%5F1) curl ``` curl -X POST \ 'https://api.mercadopago.com/v1/advanced_payments/ADVANCED_PAYMENT_ID/refunds' \ -H 'X-Idempotency-Key: IDEMPOTENCY-KEY' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'accept: application/json' \ -H 'content-type: application/json' ``` Copiar \## Responses When executing the request for a full refund, different responses may be returned. Below you will find the details of each one of them, as well as the possible causes. ### Successful response * [json ](#editor%5F2) json Status code: 200 ``` [ { "id": 1242469925, "payment_id": 51617407254, "amount": 25, "source": { "id": 783789745, "name": "Test Test", "type": "collector" }, "date_created": "2022-11-18T08:48:06.768-04:00", "status": "approved" } ] ``` Copiar \### Failed response: Bad request This is a common response when one of the request parameters is incorrect or not found. For example, this error will occur if an incorrectly formatted ID is sent at the time of the request. * [json ](#editor%5F3) json Status code: 400 ``` { "status": "400", "error": "bad_request", "message": "Invalid splitter id.", "cause": [ { "code":"400048", "message": "Invalid splitter id", "data": null } ] } ``` Copiar \### Failed response: Not found This is a common response that is returned when no Advanced Payment created with the ID given in the request parameters is found. * [json ](#editor%5F4) json Status code: 404 ``` { "status": "404", "error": "not_found", "message": "Advanced payment not found.", "cause": [ { "code":"404002", "message": "Advanced payment not found", "data": null } ] } ``` Copiar \### Failed response: Internal error code It is the response that indicates that a server error occurred while processing the request. This means that the client's request could not be completed due to an internal problem on the server. * [json ](#editor%5F5) json Status code: 500 ``` { "status": "500", "error": "internal_server_error", "message": "Invalid splitter id.", "cause": [ { "code":"500000", "message": "Internal server error", "data": null } ] } ``` Copiar